<?php

namespace common\logic;

use yii\db\ActiveRecord;

abstract class AbstractBuilder extends AbstractService implements BuilderInterface
{
    public function saveCreate(ActiveRecord $model): bool
    {
        return $model->save();
    }

    public function saveUpdate(ActiveRecord $model): bool
    {
        return $model->save();
    }

    public function delete(ActiveRecord $model): bool
    {
        return $model->delete();
    }
}